#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ カルテ１号紙（入院）


require 'uri'
require 'net/http'
require 'json'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"

req = Net::HTTP::Post.new("/api01rv2/karteno1hv2")

BODY = <<EOF 
<data>
<karte_no1_hv2req type ="record">
  <Request_Number type ="string">01</Request_Number>
  <Order_Class type ="string">1</Order_Class>
  <Patient_ID type ="string">1</Patient_ID>
  <Admission_Date type ="string">2018-07-01</Admission_Date>
  <Discharge_Date type ="string"></Discharge_Date>
  <Department_Code type ="string">01</Department_Code>
  <Doctor_Code type ="array">
    <Doctor_Code_child type ="string">10001</Doctor_Code_child>
  </Doctor_Code>
  <Insurance_Combination_Number type ="string">0001</Insurance_Combination_Number>
</karte_no1_hv2req>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts JSON.pretty_generate(JSON.load(res.body))
}
